package com.its.op.entity.domain;

import java.util.HashMap;
import java.util.Map;

// 요일유형
public enum eDayTypeCd implements ICodeValue {

    DTW1("DTW1", "[DTW1] 월요일"),
    DTW2("DTW2", "[DTW2] 화요일"),
    DTW3("DTW3", "[DTW3] 수요일"),
    DTW4("DTW4", "[DTW4] 목요일"),
    DTW5("DTW5", "[DTW5] 금요일"),
    DTW6("DTW6", "[DTW6] 토요일"),
    DTW7("DTW7", "[DTW7] 일요일");

    private String code;
    private String value;

    private static final Map<String, eDayTypeCd> map;
    static {
        map = new HashMap<>();
        for (eDayTypeCd e : values()) {
            map.put(e.code, e);
        }
    }
    eDayTypeCd(String code, String value) {
        this.code = code;
        this.value = value;
    }

    @Override
    public String getCode() {
        return code;
    }
    @Override
    public String getValue() {
        return value;
    }

    @Override
    public String getUnknown() {
        return "DTW0";
    }

    public static String findValue(String code) {
        // FOR KISA Secure Coding pass
        //return map.get(code).getValue();
        String result = map.get(code).getValue();
        return result;
    }

}
